Package org.silverpeas.components.almanach.services

# Class AlmanachWebManager

java.lang.Object
org.silverpeas.core.webapi.calendar.CalendarWebManager
org.silverpeas.components.almanach.services.AlmanachWebManager

@Service @Named("almanachCalendarWebManager") public class AlmanachWebManager extends org.silverpeas.core.webapi.calendar.CalendarWebManager

Author:
  Yohann Chastagnier

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.webapi.calendar.CalendarWebManager

  `NAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AlmanachWebManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<org.silverpeas.core.calendar.Calendar>`
  `getCalendarsHandledBy(Collection<String> componentInstanceIds)`
  `protected Integer[]`
  `getNextEventTimeWindows()`

  ### Methods inherited from class org.silverpeas.core.webapi.calendar.CalendarWebManager

  `createEvent, deleteCalendar, deleteOccurrence, exportCalendarAsICalendarFormat, get, getAllEventOccurrencesByUserIds, getCalendarsHandledBy, getEventOccurrencesOf, getEventOccurrencesOf, getFirstCalendarEventOccurrenceFromEventId, getLocalizationBundle, getNextEventOccurrences, importEventsAsICalendarFormat, saveCalendar, saveOccurrence, synchronizeCalendar, updateOccurrenceAttendeeParticipation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AlmanachWebManager

    protected AlmanachWebManager()

- ## Method Details

  - ### getCalendarsHandledBy

    public List<org.silverpeas.core.calendar.Calendar> getCalendarsHandledBy(Collection<String> componentInstanceIds)
    Overrides:
      `getCalendarsHandledBy` in class `org.silverpeas.core.webapi.calendar.CalendarWebManager`

  - ### getNextEventTimeWindows

    protected Integer[] getNextEventTimeWindows()
    Overrides:
      `getNextEventTimeWindows` in class `org.silverpeas.core.webapi.calendar.CalendarWebManager`